Name:           nagstamon
Version:        3.8.0
Release:        %mkrel 2
Summary:        Nagios status monitor for the desktop
License:        GPLv2
Group:          Monitoring
Url:            https://nagstamon.ifw-dresden.de/
Source:         https://sourceforge.net/projects/nagstamon/files/nagstamon/nagstamon%200.9.9/Nagstamon-%{version}.tar.gz
Patch1:		Nagstamon-version.patch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-qt5-devel
BuildRequires:  python3-distro
BuildRequires:  python3-keyring
BuildRequires:  python3-psutil
Requires:       python3-beautifulsoup4
Requires:       python3-cryptography
Requires:       python3-dateutil
Requires:       python3-keyring
Requires:       python3-lxml
Requires:       python3-psutil
Requires:       python3-pysocks
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-widgets
Requires:       python3-qt5-svg
Requires:       python3-qt5-multimedia
Requires:       python3-qt5-network
Requires:       python3-requests
Requires:       python3-requests-kerberos
Requires:       python3-secretstorage
BuildArch:      noarch

%description
Nagstamon is a Nagios status monitor which takes place in systray or on desktop
(GNOME, KDE, Windows) as floating statusbar to inform you in realtime about the
status of your Nagios and derivatives monitored network. It allows to connect
to multiple Nagios, Icinga, Opsview, Op5, Check_MK/Multisite and Centreon
servers.

%prep
%autosetup -n Nagstamon-%{version} -p1

# drop python3-crypto reqs
sed -i -e '/python3-crypto[^graphy]/d' setup.py

%build
%py3_build

%install
%py3_install

mv %{buildroot}%{_bindir}/nagstamon.py %{buildroot}%{_bindir}/nagstamon

# desktop stuff
mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
install -m 644 Nagstamon/resources/nagstamon.svg \
    %{buildroot}%{_datadir}/pixmaps/nagstamon.svg
install -m 644 Nagstamon/resources/nagstamon.desktop \
    %{buildroot}/%{_datadir}/applications/nagstamon.desktop

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{buildroot}/%{_datadir}/applications/nagstamon.desktop

%files
%doc ChangeLog COPYRIGHT LICENSE
%{_datadir}/pixmaps/nagstamon.svg
%{_datadir}/applications/nagstamon.desktop
%{python3_sitelib}/Nagstamon
%{_bindir}/nagstamon
%{_mandir}/man1/nagstamon.1*
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Feb 25 2023 wally <wally> 3.8.0-2.mga9
+ Revision: 1945377
- drop python3-crypto requires
- fix egg-info version info

* Tue Mar 22 2022 guillomovitch <guillomovitch> 3.8.0-1.mga9
+ Revision: 1818252
- new version 3.8.0

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 3.4.1-4.mga9
+ Revision: 1786836
- rebuild for python-3.10

* Mon Mar 22 2021 guillomovitch <guillomovitch> 3.4.1-3.mga9
+ Revision: 1707297
- rebuild for python 3.9
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 20 2020 umeabot <umeabot> 3.4.1-2.mga8
+ Revision: 1545961
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 guillomovitch <guillomovitch> 3.4.1-1.mga8
+ Revision: 1485659
- new version 3.4.1
- new version 3.4.1

* Wed Oct 16 2019 daviddavid <daviddavid> 3.2.1-2.mga8
+ Revision: 1454020
- add patch to fix build with python 3.8
- rebuild for python3.8

* Thu Jan 10 2019 guillomovitch <guillomovitch> 3.2.1-1.mga7
+ Revision: 1354156
- new version 3.2.1

* Sat Dec 22 2018 guillomovitch <guillomovitch> 3.2-1.mga7
+ Revision: 1344446
- new version 3.2

* Thu Sep 20 2018 umeabot <umeabot> 3.0.2-2.mga7
+ Revision: 1280133
- Mageia 7 Mass Rebuild

* Tue Oct 10 2017 guillomovitch <guillomovitch> 3.0.2-1.mga7
+ Revision: 1170666
- new version 3.0.2
  fix runtime dependencies

* Wed Sep 20 2017 guillomovitch <guillomovitch> 3.0.1-1.mga7
+ Revision: 1156051
- new version 3.0.1

* Sat Aug 05 2017 pterjan <pterjan> 2.0.1-2.mga7
+ Revision: 1135276
- Rebuild for python 3.6

* Sat Jan 14 2017 guillomovitch <guillomovitch> 2.0.1-1.mga6
+ Revision: 1081577
- new version 2.0.1

* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-3.mga6
+ Revision: 946558
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-2.mga5
+ Revision: 741809
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 guillomovitch <guillomovitch> 1.0.1-1.mga5
+ Revision: 737334
- new version 1.0.1

* Sat Sep 27 2014 tv <tv> 1.0-3.mga5
+ Revision: 727469
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0-2.mga5
+ Revision: 682792
- Mageia 5 Mass Rebuild

* Tue Aug 12 2014 guillomovitch <guillomovitch> 1.0-1.mga5
+ Revision: 661937
- new version 1.0
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.11-3.mga4
+ Revision: 542764
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.11-2.mga4
+ Revision: 497953
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 11 2013 guillomovitch <guillomovitch> 0.9.11-1.mga4
+ Revision: 477729
- new version

* Sun Sep 01 2013 guillomovitch <guillomovitch> 0.9.10-3.mga4
+ Revision: 474075
- drop embedded beautifulsoup, use system one instead

* Fri Jul 19 2013 guillomovitch <guillomovitch> 0.9.10-2.mga4
+ Revision: 456242
- add pygtk dependency

* Wed Jul 17 2013 guillomovitch <guillomovitch> 0.9.10-1.mga4
+ Revision: 455145
- new version

* Wed Feb 06 2013 guillomovitch <guillomovitch> 0.9.9-1.mga3
+ Revision: 394817
- imported package nagstamon

